Account Settings
All operations require authentication, except the 9 marked Public.
List billing accountsProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get all zip codes compatible for a numberProductionPublic
Query parameters
The country of the city
bechdeesfrgbukThe number (can be a range terminated by XXXX)
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ directories/ availableZipCodes[ "string"]
Get city informations from a zip codeProductionPublic
Query parameters
The country of the city
bechdeesfrgbukThe zip code of the city
Response
The identifier of the city
The name of the city
The zip code of the city
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ directories/ cities[ { "administrationCode": "string", "name": "string", "zipCode": "string" }]
Get all available fax offer compatibleProductionPublic
Query parameters
The country
bechfrgbukResponse
The offer description
The offer name
Offer price per month
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ fax/ offers[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Get all available phone brands compatible with linesProductionPublic
Query parameters
The country
bechdeesfrgbukThe selected offer
Response
Brand name of the phone
The phone description
Setup fees
Maximum number of lines managed by a phone
Type of purchase
depositloanpurchaseTelephony price
Phone protocol
mgcpsipPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ line/ offer/ phones[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]
Get all available line offer compatibleProductionPublic
Query parameters
The country
bechfrgbukResponse
The offer description
The offer name
Offer price per month
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ line/ offers[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Get all available geographic zone with some details, from a countryProductionPublic
Query parameters
Enter a part of a city name or a zip for specific zne returns
The country
bechfrgbukResponse
The searched value
The city of the zone
The country of the zone
bechfrgbukThe number's range of this zone, in international format
The criteria that matched the searched value
cityinternationalNumbernumberzneThe number's range of this zone
The country code of the number's range
323334414449The type of number's range of this zone
geographicnon-geographicspecialThe zip code of the zone
The list of ZNE of this zone
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ number/ detailedZones[ { "askedCity": "string", "city": "string", "country": "be", "internationalNumber": "string", "matchingCriteria": "city", "number": "string", "prefix": 32, "type": "geographic", "zipCode": "string", "zneList": [ "string" ] }]
Get all available special range from a countryProductionPublic
Query parameters
The country
bechfrgbukResponse
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ number/ ranges[ "string"]
Get all available specific number from a countryProductionPublic
Query parameters
The country
bechfrgbukThe range (special number)
The type of number
geographicnogeographicspecialThe zone (geographic number)
Response
Set if number is premium
The number
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ number/ specificNumbers[ { "isPremium": true, "number": "string" }]
Get all available geographic zone from a countryProductionPublic
Query parameters
Enter a part of a city name or a zip for specific zne returns
The country
bechfrgbukResponse
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ number/ zones[ "string"]
Get a billing accountProduction
Path parameters
The name of your billingAccount
Response
Allowed outplan
Name of the billing account
Allowed threshold credit
Current outplan
Description of the billing account
Check if the billing account contains at least one special number
Hide called numbers in end-of-month call details CSV
IAM resource metadata
Override number display for calls between services of your billing account
Security deposit amount
Current status of billing account
closeddeletedenabledexpiredIs the billing account trusted
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "billingAccount": "string", "creditThreshold": { "currencyCode": "AUD", "text": "string", "value": 0 }, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "hasSpecialNumbers": true, "hiddenExternalNumber": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "overrideDisplayedNumber": true, "securityDeposit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "closed", "trusted": true}
Terminate a billing accountProduction
Path parameters
The name of your billingAccount
Query parameters
Termination reason details
Termination reason
addresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficultiesResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount} \
-H "authorization: Bearer $OVH_TOKEN"Update a billing accountProduction
Path parameters
The name of your billingAccount
Request body (required)
Allowed outplan
Name of the billing account
Allowed threshold credit
Current outplan
Description of the billing account
Check if the billing account contains at least one special number
Hide called numbers in end-of-month call details CSV
Override number display for calls between services of your billing account
Security deposit amount
Current status of billing account
closeddeletedenabledexpiredIs the billing account trusted
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount} \
-H "authorization: Bearer $OVH_TOKEN"Generate a reseller panel passwordProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ resellerPanel/ generatePassword \
-H "authorization: Bearer $OVH_TOKEN"Get the reseller panel statusProduction
Response
Whether the reseller panel is enabled or not
Password update task status
doingdoneerrortodoReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ resellerPanel/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "passwordUpdateStatus": "doing"}
Search a serviceProduction
Query parameters
Filter the value of property (like)
Response
The billing account of the service
The service domain
The offer description
aliaslinetrunkReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ searchServices \
-H "authorization: Bearer $OVH_TOKEN"[ { "billingAccount": "string", "domain": "string", "type": "alias" }]
Set the default SIP domainProduction
Request body (required)
Country
bechdeesfrgbukSIP domain to set
Product type
siptrunkResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ setDefaultSipDomain \
-H "authorization: Bearer $OVH_TOKEN"Get the billing account siteProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ billingAccountSite \
-H "authorization: Bearer $OVH_TOKEN""string"
Set the billing account siteProduction
Path parameters
The name of your billingAccount
Request body (required)
Billing account site (master billing account)
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ billingAccountSite \
-H "authorization: Bearer $OVH_TOKEN"Cancel the billing account terminationProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ cancelTermination \
-H "authorization: Bearer $OVH_TOKEN"Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The name of your billingAccount
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"List offer tasksProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradeFilter the value of status property (=)
doingdoneerrorpausetodoFilter the value of type property (=)
lineofferoptionphoneResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ offerTask \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an offer taskProduction
Path parameters
The name of your billingAccount
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
Update an offer taskProduction
Path parameters
The name of your billingAccount
Request body (required)
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneResponse
Example uses billingAccount = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The name of your billingAccount
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The name of your billingAccount
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List tasksProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
Filter the value of serviceType property (=)
Filter the value of status property (=)
doingdoneerrorpausetodoResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List default SIP domainsProduction
Query parameters
Product type
siptrunkResponse
Country
bechdeesfrgbukCurrent SIP domain
List of available SIP domains
Type of the VoIP product concerned
siptrunkReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ availableDefaultSipDomains \
-H "authorization: Bearer $OVH_TOKEN"[ { "country": "be", "currentDomain": "string", "list": [ "string" ], "productType": "sip" }]